// bsp1.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#ifdef _OPENMP
 #include <omp.h>
#endif


int _tmain(int argc, _TCHAR* argv[])
{
	int id, numThreads;
	double x;

	// hier werden je nach Definition der Env-Var die Threads erzeugt und gestartet
	#pragma omp parallel shared (x) private (id, numThreads)  
	{
		numThreads = omp_get_num_threads();  // Anzahl Threads
		id=omp_get_thread_num();  // Threadnummer
		printf("Id: %d    Anzahl Threads: %d \n",id,numThreads);
		//calc(x, id, numThreads);
	}

	char ch[20];
	gets(ch);
	return 0;
}

